# PGSTD::char_traits< unsigned char > Struct Template Reference

Work around missing std::char_traits<unsigned char>. More...

`#include <compiler-public.hxx>`

List of all members.

## Public Types

typedef int | int_type
typedef size_t | pos_type
typedef long | off_type
typedef unsigned char | char_type

## Static Public Member Functions

static int_type | eof ()

## Detailed Description

### template<>
struct PGSTD::char_traits< unsigned char >

Work around missing std::char_traits<unsigned char>.

## Member Typedef Documentation

typedef int PGSTD::char_traits< unsigned char >::int_type

typedef size_t PGSTD::char_traits< unsigned char >::pos_type

typedef long PGSTD::char_traits< unsigned char >::off_type

typedef unsigned char PGSTD::char_traits< unsigned char >::char_type

## Member Function Documentation

static int_type PGSTD::char_traits< unsigned char >::eof | ( |  | ) | `[static]`

The documentation for this struct was generated from the following file:

- compiler-public.hxx